part of nodejs_interop.js;

/// The base class for all JavaScript objects.
@JS('Object')
class _JSObject {

  /// Creates a new object.
  external _JSObject();

  /// Returns a list of a given [object]'s own enumerable property `[key, value]` pairs.
  external static List<List> entries(object);

  /// Returns a list of a given [object]'s own enumerable properties.
  external static List<String> keys(object);

  /// Returns a list of a given [object]'s own enumerable property values.
  external static List values(object);
}
