# Changelog
This file contains highlights of what changes on each version of the [Node.js Interop for Dart](https://github.com/cedx/nodejs-interop.dart) library.

## Version [0.5.0](https://github.com/cedx/nodejs-interop.dart/compare/v0.4.0...v0.5.0)
- Breaking change: removed the `FileStat.toJson()` method.
- Breaking change: renamed the `Process` class to `NodeProcess`.
- Added the [`child_process`](https://nodejs.org/api/child_process.html) module.
- Added the [`cluster`](https://nodejs.org/api/cluster.html) module.
- Added the [`stream`](https://nodejs.org/api/stream.html) module.
- Added the [`vm`](https://nodejs.org/api/vm.html) module.
- Added the `BufferEncoding.fromEncoding()` method.
- Added the `current` and `systemTemp` static properties to the `Directory` class.
- Finished the implementation of the [`fs`](https://nodejs.org/api/fs.html) module.

## Version [0.4.0](https://github.com/cedx/nodejs-interop.dart/compare/v0.3.0...v0.4.0)
- Breaking change: renamed the `Js` prefix to `JS` for JavaScript errors.
- Breaking change: renamed the `NodejsPlatform` class to `Platform`.
- Added bindings for a predefined set of [npm](https://www.npmjs.com) packages.
- Added the [`buffer`](https://nodejs.org/api/buffer.html) module.
- Added the [`console`](https://nodejs.org/api/console.html) module.
- Added the `convertToStream()` and `loadLibrary()` functions.
- Added the `Json`, `Module` and `Writable` classes.
- Added a partial implementation of the [`fs`](https://nodejs.org/api/fs.html) module.
- Added a partial implementation of the [`util`](https://nodejs.org/api/util.html) module.
- Added a partial implementation of the [file system API](https://pub.dartlang.org/packages/file).
- Finished the implementation of the `Process` class.
- Finished the implementation of the `require()` function.
- Splitted the library in modules: `io`, `js`, `node` and `npm`.

## Version [0.3.0](https://github.com/cedx/nodejs-interop.dart/compare/v0.2.0...v0.3.0)
- Added the [`os`](https://nodejs.org/api/os.html) module.
- Added the `convertToDart()` and `convertToFuture()` functions.
- Added the `CpuUsage`, `NodejsPlatform` and `Promise` classes.
- Added a partial implementation of the `Process` class.

## Version [0.2.0](https://github.com/cedx/nodejs-interop.dart/compare/v0.1.0...v0.2.0)
- Breaking change: renamed the `PathObject` class to `Path`.
- Added the [`assert`](https://nodejs.org/api/assert.html) module.
- Added the [`errors`](https://nodejs.org/api/errors.html) module.
- Added the [`events`](https://nodejs.org/api/events.html) module.

## Version 0.1.0
- Initial release: provides the `require()` function and the [`path`](https://nodejs.org/api/path.html) module.
