/// Provides interoperability with [`stream`](https://nodejs.org/api/stream.html) module.
@JS()
library nodejs_interop.node.stream;

import 'package:js/js.dart';
import 'package:nodejs_interop/js.dart';
import 'package:nodejs_interop/src/node/events.dart';

part 'stream/duplex.dart';
part 'stream/readable.dart';
part 'stream/transform.dart';
part 'stream/writable.dart';
