import 'package:nodejs_interop/nodejs_interop.dart';
import 'package:test/test.dart';

/// Tests the features of the [JSError] classes.
void main() {
  group('JSError', () {
    test('should be an instance of the Exception class', () {
      var error = new JSError('Error');
      expect(error, const isInstanceOf<Exception>());
      expect(error.message, equals('Error'));
    });
  });

  group('JSEvalError', () {
    test('should be an instance of the Exception class', () {
      var error = new JSEvalError('EvalError');
      expect(error, const isInstanceOf<Exception>());
      expect(error.message, equals('EvalError'));
    });
  });

  group('JSRangeError', () {
    test('should be an instance of the Exception class', () {
      var error = new JSRangeError('RangeError');
      expect(error, const isInstanceOf<Exception>());
      expect(error.message, equals('RangeError'));
    });
  });

  group('JSReferenceError', () {
    test('should be an instance of the Exception class', () {
      var error = new JSReferenceError('ReferenceError');
      expect(error, const isInstanceOf<Exception>());
      expect(error.message, equals('ReferenceError'));
    });
  });

  group('JSSyntaxError', () {
    test('should be an instance of the Exception class', () {
      var error = new JSSyntaxError('SyntaxError');
      expect(error, const isInstanceOf<Exception>());
      expect(error.message, equals('SyntaxError'));
    });
  });

  group('JSTypeError', () {
    test('should be an instance of the Exception class', () {
      var error = new JSTypeError('TypeError');
      expect(error, const isInstanceOf<Exception>());
      expect(error.message, equals('TypeError'));
    });
  });

  group('JSUriError', () {
    test('should be an instance of the Exception class', () {
      var error = new JSUriError('UriError');
      expect(error, const isInstanceOf<Exception>());
      expect(error.message, equals('UriError'));
    });
  });
}
